summaryrefslogtreecommitdiff
path: root/plugins/ssh-agent
diff options
context:
space:
mode:
authorMarc Cornellà <marc.cornella@live.com>2016-08-21 01:08:34 +0200
committerMarc Cornellà <marc.cornella@live.com>2016-09-03 20:49:55 +0200
commitcb0833ac1360984c74f40ccabdec323bb6bbc31b (patch)
tree8911f61f9b3d6dd5b1b232578e978aeb8453002e /plugins/ssh-agent
parentb60acddefe4cb18267e84b6cdd4314e82352be2c (diff)
downloadzsh-cb0833ac1360984c74f40ccabdec323bb6bbc31b.tar.gz
zsh-cb0833ac1360984c74f40ccabdec323bb6bbc31b.tar.bz2
zsh-cb0833ac1360984c74f40ccabdec323bb6bbc31b.zip
Clean up formatting of ssh-agent plugin
Diffstat (limited to 'plugins/ssh-agent')
-rw-r--r--plugins/ssh-agent/ssh-agent.plugin.zsh65
1 files changed, 29 insertions, 36 deletions
diff --git a/plugins/ssh-agent/ssh-agent.plugin.zsh b/plugins/ssh-agent/ssh-agent.plugin.zsh
index 81f27ca00..a427b80ae 100644
--- a/plugins/ssh-agent/ssh-agent.plugin.zsh
+++ b/plugins/ssh-agent/ssh-agent.plugin.zsh
@@ -1,49 +1,42 @@
-local _plugin__ssh_env
-local _plugin__forwarding
+typeset _agent_forwarding _ssh_env_cache
-function _plugin__start_agent()
-{
- local -a identities
- local lifetime
- zstyle -s :omz:plugins:ssh-agent lifetime lifetime
+function _start_agent() {
+ local lifetime
+ local -a identities
- # start ssh-agent and setup environment
- ssh-agent ${lifetime:+-t} ${lifetime} | sed 's/^echo/#echo/' >! ${_plugin__ssh_env}
- chmod 600 ${_plugin__ssh_env}
- . ${_plugin__ssh_env} > /dev/null
+ # start ssh-agent and setup environment
+ zstyle -s :omz:plugins:ssh-agent lifetime lifetime
- # load identies
- zstyle -a :omz:plugins:ssh-agent identities identities
- echo starting ssh-agent...
+ ssh-agent ${lifetime:+-t} ${lifetime} | sed 's/^echo/#echo/' >! $_ssh_env_cache
+ chmod 600 $_ssh_env_cache
+ . $_ssh_env_cache > /dev/null
- ssh-add $HOME/.ssh/${^identities}
+ # load identies
+ zstyle -a :omz:plugins:ssh-agent identities identities
+
+ echo starting ssh-agent...
+ ssh-add $HOME/.ssh/${^identities}
}
# Get the filename to store/lookup the environment from
-if (( $+commands[scutil] )); then
- # It's OS X!
- _plugin__ssh_env="$HOME/.ssh/environment-$(scutil --get ComputerName)"
-else
- _plugin__ssh_env="$HOME/.ssh/environment-$HOST"
-fi
+_ssh_env_cache="$HOME/.ssh/environment-$SHORT_HOST"
# test if agent-forwarding is enabled
-zstyle -b :omz:plugins:ssh-agent agent-forwarding _plugin__forwarding
-if [[ ${_plugin__forwarding} == "yes" && -n "$SSH_AUTH_SOCK" ]]; then
- # Add a nifty symlink for screen/tmux if agent forwarding
- [[ -L $SSH_AUTH_SOCK ]] || ln -sf "$SSH_AUTH_SOCK" /tmp/ssh-agent-$USER-screen
-
-elif [ -f "${_plugin__ssh_env}" ]; then
- # Source SSH settings, if applicable
- . ${_plugin__ssh_env} > /dev/null
- ps x | grep ${SSH_AGENT_PID} | grep ssh-agent > /dev/null || {
- _plugin__start_agent;
- }
+zstyle -b :omz:plugins:ssh-agent agent-forwarding _agent_forwarding
+
+if [[ $_agent_forwarding == "yes" && -n "$SSH_AUTH_SOCK" ]]; then
+ # Add a nifty symlink for screen/tmux if agent forwarding
+ [[ -L $SSH_AUTH_SOCK ]] || ln -sf "$SSH_AUTH_SOCK" /tmp/ssh-agent-$USER-screen
+elif [[ -f "$_ssh_env_cache" ]]; then
+ # Source SSH settings, if applicable
+ . $_ssh_env_cache > /dev/null
+ ps x | grep $SSH_AGENT_PID | grep ssh-agent > /dev/null || {
+ _start_agent
+ }
else
- _plugin__start_agent;
+ _start_agent
fi
# tidy up after ourselves
-unfunction _plugin__start_agent
-unset _plugin__forwarding
-unset _plugin__ssh_env
+unset _agent_forwarding _ssh_env_cache
+unfunction _start_agent